org.apache.flume.formatter.output

## Class DefaultPathManager.Builder

- java.lang.Object
- - org.apache.flume.formatter.output.DefaultPathManager.Builder

- All Implemented Interfaces:
    PathManager.Builder
  Enclosing class:
    DefaultPathManager

      public static class DefaultPathManager.Builder
      extends Object
      implements PathManager.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPathManager.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathManager` | `build(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPathManager.Builder

          public DefaultPathManager.Builder()

  - ### Method Detail

    - #### build

          public PathManager build(Context context)

      Specified by:
        `build` in interface `PathManager.Builder`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.